Skip to main content
`Ctrl`+`K`

# PetscDrawHGSetNumberBins

Change the number of bins that are to be drawn in the histogram

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawHGSetNumberBins(PetscDrawHG hist, int bins)

Logically Collective

## Input Parameters

- hist - The histogram context.

- bins - The number of bins.

## See Also

`PetscDrawHGCreate()`, `PetscDrawHG`, `PetscDrawHGDraw()`, `PetscDrawHGIntegerBins()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/hists.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages